Upload Wallet Key
post
/walletservice/v1/wallets/uploadkey
Create or import a wallet from an uploaded private key.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
label(required): string
Example:
Preloaded account 1 -
orgId(required): string
Example:
1 -
privateKeyB64(required): string
Base64-encoded private key.Example:
OGYyYTU1OTQ5MDM4YTk2MTBmNTBmYjIzYjU4ODNhZjNiNGVjYjNjM2JiNzkyY2JjZWZiZDE1NDJjNjkyYmU2Mw== -
userId(required): string
(uuid)
Example:
11939e00-5f3b-44fb-8076-fbbaf0085606
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
201 Response
Wallet key uploaded successfully.
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.